Get Facebook posts
curl --request GET \
--url https://scheduler.dashsocial.com/facebook/scheduled_posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://scheduler.dashsocial.com/facebook/scheduled_posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scheduler.dashsocial.com/facebook/scheduled_posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scheduler.dashsocial.com/facebook/scheduled_posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scheduler.dashsocial.com/facebook/scheduled_posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scheduler.dashsocial.com/facebook/scheduled_posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scheduler.dashsocial.com/facebook/scheduled_posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"post_type": "POST",
"brand_id": 1,
"auto_publish": true,
"status": "AUTOPUBLISHING",
"message": "<string>",
"media_ids": [
1
],
"timestamp": "2023-11-07T05:31:56Z",
"first_comment": "<string>",
"link": "<string>",
"cover_image_media_id": 123,
"location_id": "<string>",
"thumb_offset": 123,
"video_title": "<string>",
"targeting": {
"geo_locations": {
"countries": [
"<string>"
]
}
},
"alt_text_media_map": {},
"approval_policy": "APPROVAL_REQUIRED",
"approval_requests": [
{
"approval_status": "PENDING",
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"id": 123,
"post_id": 123,
"post_platform": "instagram",
"requested_by_user_id": 123,
"review_user_id": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"approval_status": "<string>",
"auto_publish_error": "ACCOUNT_RESTRICTED",
"board_ids": [
1
],
"campaign_ids": [
1
],
"content_tag_ids": [
1
],
"cover_image_media": {},
"created_at": "2023-11-07T05:31:56Z",
"creation_source": "RSS_FEED",
"first_comment_status": "SUCCESS",
"has_scheduled_time": true,
"id": 1,
"link_preview": {
"can_edit": true,
"description": "<string>",
"image": "<string>",
"image_media_id": 123,
"title": "<string>",
"url": "<string>"
},
"live_post_url": "<string>",
"location": {
"id": "<string>",
"is_verified": true,
"link": "<string>",
"location": {},
"name": "<string>"
},
"media": [
{}
],
"num_of_approvals_required": 123,
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rss_feed_id": 123,
"rss_guid": "<string>",
"rss_publish_date": "2023-11-07T05:31:56Z",
"sort_index": 123,
"source_id": "<string>",
"subtitle_content": "<string>",
"subtitle_error_message": "<string>",
"subtitle_metadata": {
"language_code": "af_ZA",
"filename": "<string>"
},
"subtitle_upload_status": "<string>",
"thumbnail_url": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"paging": {
"count": 123,
"next": "<string>",
"previous": "<string>"
}
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Facebook
Get Facebook posts
Get a list of Facebook posts for the brand.
GET
/
facebook
/
scheduled_posts
Get Facebook posts
curl --request GET \
--url https://scheduler.dashsocial.com/facebook/scheduled_posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://scheduler.dashsocial.com/facebook/scheduled_posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scheduler.dashsocial.com/facebook/scheduled_posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scheduler.dashsocial.com/facebook/scheduled_posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scheduler.dashsocial.com/facebook/scheduled_posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scheduler.dashsocial.com/facebook/scheduled_posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scheduler.dashsocial.com/facebook/scheduled_posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"post_type": "POST",
"brand_id": 1,
"auto_publish": true,
"status": "AUTOPUBLISHING",
"message": "<string>",
"media_ids": [
1
],
"timestamp": "2023-11-07T05:31:56Z",
"first_comment": "<string>",
"link": "<string>",
"cover_image_media_id": 123,
"location_id": "<string>",
"thumb_offset": 123,
"video_title": "<string>",
"targeting": {
"geo_locations": {
"countries": [
"<string>"
]
}
},
"alt_text_media_map": {},
"approval_policy": "APPROVAL_REQUIRED",
"approval_requests": [
{
"approval_status": "PENDING",
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"id": 123,
"post_id": 123,
"post_platform": "instagram",
"requested_by_user_id": 123,
"review_user_id": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"approval_status": "<string>",
"auto_publish_error": "ACCOUNT_RESTRICTED",
"board_ids": [
1
],
"campaign_ids": [
1
],
"content_tag_ids": [
1
],
"cover_image_media": {},
"created_at": "2023-11-07T05:31:56Z",
"creation_source": "RSS_FEED",
"first_comment_status": "SUCCESS",
"has_scheduled_time": true,
"id": 1,
"link_preview": {
"can_edit": true,
"description": "<string>",
"image": "<string>",
"image_media_id": 123,
"title": "<string>",
"url": "<string>"
},
"live_post_url": "<string>",
"location": {
"id": "<string>",
"is_verified": true,
"link": "<string>",
"location": {},
"name": "<string>"
},
"media": [
{}
],
"num_of_approvals_required": 123,
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rss_feed_id": 123,
"rss_guid": "<string>",
"rss_publish_date": "2023-11-07T05:31:56Z",
"sort_index": 123,
"source_id": "<string>",
"subtitle_content": "<string>",
"subtitle_error_message": "<string>",
"subtitle_metadata": {
"language_code": "af_ZA",
"filename": "<string>"
},
"subtitle_upload_status": "<string>",
"thumbnail_url": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"paging": {
"count": 123,
"next": "<string>",
"previous": "<string>"
}
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}